#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 skylighting-core
version:              0.10.5.1
visibility:           public
id:                   skylighting-core-0.10.5.1-7gTiLAWdo6i1pWiGoZcRzA
key:                  skylighting-core-0.10.5.1-7gTiLAWdo6i1pWiGoZcRzA
license:              BSD-3-Clause
copyright:            (C) 2016-2018 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://github.com/jgm/skylighting
synopsis:             syntax highlighting library
description:
    Skylighting is a syntax highlighting library.
    It derives its tokenizers from XML syntax
    definitions used by KDE'\''s KSyntaxHighlighting
    framework, so any syntax supported by that
    framework can be added. An optional command-line
    program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides the core highlighting
    functionality under a permissive license. It also
    bundles XML parser definitions licensed under the
    GPL.

category:             Text
abi:                  afeb982a6fc3b1ea0003b67b12db9f77
exposed:              True
exposed-modules:
    Skylighting.Core Skylighting.Format.ANSI Skylighting.Format.HTML
    Skylighting.Format.LaTeX Skylighting.Loader Skylighting.Parser
    Skylighting.Regex Skylighting.Styles Skylighting.Tokenizer
    Skylighting.Types

hidden-modules:
    Regex.KDE Regex.KDE.Regex Regex.KDE.Compile Regex.KDE.Match

import-dirs:          /usr/lib/ghc-8.10.5/site-local/skylighting-core-0.10.5.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/skylighting-core-0.10.5.1
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.5/skylighting-core-0.10.5.1

hs-libraries:         HSskylighting-core-0.10.5.1-7gTiLAWdo6i1pWiGoZcRzA
depends:
    aeson-1.5.6.0-HvXHa5Xco7jGCTTfaR8Dsx
    ansi-terminal-0.11-6y69eqIrDah4BeRZf5g7ny
    attoparsec-0.14.1-74ZajjfJmlBKuLS6fOEwrj base-4.14.2.0
    base64-bytestring-1.2.0.1-2uiV1016clZ3W2jCkw9ceM binary-0.8.8.0
    blaze-html-0.9.1.2-2Y55gSUabujK6ZNaern4L4 bytestring-0.10.12.0
    case-insensitive-1.2.1.0-2UOMjSlgSB87ITnAfB9ULT
    colour-2.3.5-LcT6zKBFPgh4d37VQ3QUbz containers-0.6.4.1
    directory-1.3.6.0 filepath-1.4.2.1 mtl-2.2.2
    safe-0.3.19-DlKvqLTtraZKItu5PR3KBM text-1.2.4.1
    transformers-0.5.6.2 utf8-string-1.0.2-DMovLmOdbFr3ZT2kNNb9Du
    xml-conduit-1.9.1.1-KdXfLNMevLNKKZOqJBHHXG

haddock-interfaces:
    /usr/share/doc/haskell-skylighting-core/html/skylighting-core.haddock

haddock-html:         /usr/share/doc/haskell-skylighting-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

